# Generated from creepcheck-3182.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name creepcheck

Name: rubygem-%{gem_name}
Version: 3182.0.2
Release: 1%{?dist}
Summary: CreepCheck - check the creepiness of your relationship
License: DPL
URL: http://fossrec.com/u/apotheon/creepcheck
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
CreepCheck is a Ruby library that provides an API for checking romantic
age
compatibility based on the popular half-plus-seven formula for determining
when it is socially (in)appropriate for people to date based on their
relative ages.  It comes with a sample command line interface utility.
Opinions vary on appropriate age differences in romantic relationships, but
the half-plus-seven formula seems to approximate United States cultural
biases about appropriate age differences pretty well.  This library and
utility package was originally created as a joke related to assessing the
ap propriateness of relationships between characters in fictional contexts,
such as in fantasy/sci-fi prose and roleplaying games.  It is not intended
to be treated as a substitute for moral fiber or individual judgement, and
no guarantees are made about the likelihood one's family or local courts of
law will approve of a given relationship on the basis of the age of one's
partner even if "approved" by the half-plus-seven formula.
This tool's major release version is published on April Fool's Day under
the terms of the DPL, or Detachable Public License.  It is intended for
entertainment purposes only.  It is not even particularly well-written.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/creepcheck
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README

%changelog
* Mon Sep 13 2021 mockbuilder - 3182.0.2-1
- Initial package
